/*
 * File: Chess.js
 * --------------
 * This program initializes a chessboard to its standard position.
 */

"use strict";

/* Constants */

const INITIAL_SETUP = [
   [ "r", "n", "b", "q", "k", "b", "n", "r" ],
   [ "p", "p", "p", "p", "p", "p", "p", "p" ],
   [ " ", " ", " ", " ", " ", " ", " ", " " ],
   [ " ", " ", " ", " ", " ", " ", " ", " " ],
   [ " ", " ", " ", " ", " ", " ", " ", " " ],
   [ " ", " ", " ", " ", " ", " ", " ", " " ],
   [ "P", "P", "P", "P", "P", "P", "P", "P" ],
   [ "R", "N", "B", "Q", "K", "B", "N", "R" ]		
];

/* Main program */

function Chess() {
   printChessboard(INITIAL_SETUP);
}

/*
 * Displays the state of the chessboard, which is a two-dimensional
 * array of one-character strings.  The checkerboard may have any
 * number of rows and columns.
 */

function printChessboard(board) {
   let nRows = board.length;
   let nCols = board[0].length;
   for (let i = 0; i < nRows; i++) {
      let line = "";
      for (let j = 0; j < nCols; j++) {
         line += board[i][j];
      }
      console.log(line);
   }
}
